local function hud_amydebufficon(v,player)
	if not player.mo return end
	if not (CV_FindVar("powerupdisplay").value == 2 or (CV_FindVar("powerupdisplay").value == 1 and R_PointToDist(player.mo.x, player.mo.y) < FRACUNIT))
		return
	end

	local x = hudinfo[HUD_POWERUPS].x*FRACUNIT
	local y = hudinfo[HUD_POWERUPS].y*FRACUNIT
	local f = V_SNAPTORIGHT|V_SNAPTOBOTTOM|V_PERPLAYER
	local sep = 20*FRACUNIT
	
	if player.powers[pw_shield] & SH_NOSTACK
		x = $ - sep
	end

	if player.pflags & PF_FINISHED and CV_FindVar("exitmove").value and multiplayer
		x = $ - sep
	end

	if player.gotflag
		x = $ - sep
	end
	if player.powers[pw_invulnerability] or player.powers[pw_flashing]
		x = $ - sep
	end
	if player.powers[pw_sneakers]
		x = $ - sep
	end
	if player.powers[pw_gravityboots]
		x = $ - sep
	end
	
	if player.mo and player.mo.valid and player.mo.amybombgrabbed 
	and not player.playerstate
		local mo = player.mo.amybombgrabbed
		if mo and mo.valid and mo.fuse > 3*TICRATE or (mo.fuse and leveltime % 2 and mo.state == S_EGGS_HOMINGBOMB_HUG)
			v.drawScaled(x,y,FRACUNIT/2,v.cachePatch("AMBCICON"),f)
			v.drawString(x+16*FRACUNIT,y+8*FRACUNIT,tostring(mo.fuse/TICRATE),f,"thin-fixed-right")
		end
	end
	x = $ - sep
end

hud.add(hud_amydebufficon)